---
title: Transaction Detail
description: Get details of a specific POS transaction by reference ID.
---

This API to get transaction details of a specific transaction. We must pass merchant id, terminal id, unique id, and reference id : used to identify the specific transaction in request. If the request has valid details, we will get all the details like status code, amount, order id, mobile, invoice no etc in response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data. | `application/x-www-form-urlencodeds` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| mercid  required | String  <br>(1-12) | Merchant Id | `71234` |
| terminalid  required | String  <br>(8) | It is device specific.One device have only one Terminal ID | `00008582` |
| uniqueid  required | String  <br>(4-12) | Unique ID is a unique identifier and have unique value | `4000411027` |
| referenceid  required | String | Reference ID is orderid | `4000411027` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Number | Status Code | `200` |
| uniqueid  required | Number | Unique id of the transaction | `012686` |
| mercid  required | Number | Merchant id | `71234` |
| amount  required | Number | Transaction amount | `1.01` |
| orderid  required | Number | Transaction order id | `000648` |
| mobile  required | Number | Mobile number used for the transaction | `9046207157` |
| customvar  required | String | Any information passed in the request, which can be received in the response exactly as it was sent. We can pass multiple data in 'CustomVar' separated by the '|' symbol. | `1234567|test|ABC1234` |
| posmode  required | Number | One of the transaction modes in POS like Authorization,Sale Completion etc. | `01` |
| invoiceno  required | Number | Invoice number | `01` |
| editamount  required | Number | Edit amount can have values 0,1. 1- User can change the amount, 0-User would not be able to change the amount. | `1` |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/transaction-detail' \
 --header 'content-type: application/x-www-form-urlencoded' \
 --data-urlencode 'terminalid=00008582' \
 --data-urlencode 'mercid=71234' \
 --data-urlencode 'uniqueid=000648'\
 --data-urlencode 'referenceid=4000411027'
```

### Success Response

```
HTTP/1.1 200 OK
     "200||012686|71234|1.01|000648|9046207157||01|||||1"
```

### Error Response

```json
{
    "status": 500,
    "message": []
}
```